/* executable.vala
 *
 * Copyright (C) 2008  Nicolas Joseph
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 * Author:
 * 	Nicolas Joseph <gege2061@redaction-developpez.com>
 */

using GLib;

public class Valide.Executable : AbstractExecutable
{
  private string executable_;

  protected string# working_directory
  {
    get { return null; }
    set {}
  }

  protected string# start_msg
  {
    get { return _("<b>Executable start</b>"); }
    set {}
  }

  protected string# end_msg
  {
    get { return _("<b>Executable end</b>"); }
    set {}
  }

  protected string# executable
  {
    get { return this.executable_; }
    set { this.executable_ = value; }
  }
}

